/{organizationId}/finance/finApi/webForm/{webFormId}Get FinApi web form result
Returns the result of a specific FinApi web form for a given organization
Required permissions:
organization.read
Path Parameters
organizationIdstringrequired webFormIdstringrequired minLength: 1
Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/finApi/webForm/{webFormId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
typestringrequired Options:
BANK_CONNECTION_IMPORTBANK_CONNECTION_UPDATEPAYMENT_WITH_ACCOUNT_IDSTANDALONE_PAYMENTDIRECT_DEBIT_WITH_ACCOUNT_IDSTANDING_ORDERstatusstringrequired Options:
NOT_YET_OPENEDIN_PROGRESSCOMPLETEDCOMPLETED_WITH_ERROREXPIREDABORTEDCANCELLEDdatainteger | nullrequired minimum: -9007199254740991
maximum: 9007199254740991
errorstring | nullrequired Response
{
"type": "BANK_CONNECTION_IMPORT",
"status": "NOT_YET_OPENED",
"data": -9007199254740991,
"error": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}